{% from 'path.j2' import render_path -%}
{% from 'server.j2' import default_server, server_name -%}
{% from 'utils.j2' import newlines_between -%}

server {
    listen 443 ssl {{- default_server(domain) }};
    listen [::]:443 ssl {{- default_server(domain) }};

    server_name {{ server_name(domain) }};

    {% if root -%}
      {{ render_path(root, domain) }}
    {%- endif %}

    {%- for path in paths -%}
      {{ render_path(path, domain) -}}
      {{ newlines_between(loop.last) }}
    {%- endfor -%}
}
